#only for Python2.5 and later
from RoBoIO_Python import *
import time

if __name__ == "__main__":

    #first set the correct RoBoard version
    roboio_SetRBVer(RB_100)
    #roboio_SetRBVer(RB_110)    #if your RoBoard is RB-110
    #roboio_SetRBVer(RB_050)    #if your RoBoard is RB-050
    #roboio_SetRBVer(RB_100RD)  #if your RoBoard is RB-100RD

    if not i2c_Init(I2CMODE_AUTO, 400000L):    #init I2C lib to 400Kbps
        print "ERROR: fail to init I2C lib (", roboio_GetErrMsg(), ")!"
        exit()

    print "send SRF ranging command..."
    buf = [0x00, 0x51]    #byte 1: set SRF08 command register, byte 2: set ranging Mode - result in cm
    i2c_Send(0x70, buf, 2)    #write 2 bytes to SRF08 whose I2C addr = 0x70
    #Note: the SRF08 I2C address 0xe0 actually contains the I2C r/w bit, so we shift it to get the correct I2C address

    time.sleep(1)    #delay 1s to wait SRF08's data ready

    print "read SRF ranging data..."
    i2c_SensorRead(0x70, 0x02, buf, 2)    #first write 0x02 (set to read the 1st SRF08 range register) to SRF08
    #and then RESTART to read two bytes from SRF08

    data = buf[0] * 256 + buf[1]
    print "The ranging data = ", data

    print "Complete."

    i2c_Close()    #close I2C lib