#only for Python2.5 and later
from RoBoIO_Python import *

if __name__ == "__main__":

    #first set the correct RoBoard version
    roboio_SetRBVer(RB_100)
    #roboio_SetRBVer(RB_110)    #if your RoBoard is RB-110
    #roboio_SetRBVer(RB_050)    #if your RoBoard is RB-050
    #roboio_SetRBVer(RB_100RD)  #if your RoBoard is RB-100RD

    if not rcservo_Init(RCSERVO_USEPINS1 + RCSERVO_USEPINS2):    #set PWM/GPIO pins S1 & S2 as Servo mode
        print "ERROR: fail to init RC Servo lib (", roboio_GetErrMsg(), ")!"
        exit()

    rcservo_EnterPWMMode()    #make all servo-mode pins go into PWM mode

    print "Send PWM pulses of period 10ms duty 1500us on pin S1..."
    rcservo_SendCPWM(RCSERVO_PINS1, 10000L, 1500L)
    print "Send PWM pulses of period 5ms duty 800us on pin S2..."
    rcservo_SendCPWM(RCSERVO_PINS2, 5000L, 800L)
    print "Press ENTER to change PWM output."
    raw_input()

    print "Send PWM pulses of period 20ms duty 2300us on pin S1..."
    rcservo_SendCPWM(RCSERVO_PINS1, 20000L, 2300L)
    print "Send PWM pulses of period 10ms duty 1000us on pin S2..."
    rcservo_SendCPWM(RCSERVO_PINS2, 10000L, 1000L)
    print "Press ENTER to stop."
    raw_input()

    rcservo_StopPWM(RCSERVO_PINS1)
    rcservo_StopPWM(RCSERVO_PINS2)

    rcservo_Close()    #close RC Servo lib