#only for Python2.5 and later
from RoBoIO_Python import *

if __name__ == "__main__":

    #first set the correct RoBoard version
    roboio_SetRBVer(RB_100)
    #roboio_SetRBVer(RB_110)    #if your RoBoard is RB-110
    #roboio_SetRBVer(RB_050)    #if your RoBoard is RB-050
    #roboio_SetRBVer(RB_100RD)  #if your RoBoard is RB-100RD

    rcservo_SetServo(RCSERVO_PINS1, RCSERVO_SERVO_DEFAULT_NOFB)    #select the servo model on pin S1 as non-feedback servo
    rcservo_SetServo(RCSERVO_PINS2, RCSERVO_SERVO_DEFAULT_NOFB)    #select the servo model on pin S2 as non-feedback servo
    if not rcservo_Init(RCSERVO_USEPINS1 + RCSERVO_USEPINS2):    #set PWM/GPIO pins S1 & S2 as Servo mode
        print "ERROR: fail to init RC Servo lib (", roboio_GetErrMsg(), ")!"
        exit()

    home = [1500, 1500]    #set the initial home position of all servos as 1500us
    rcservo_EnterPlayMode_NOFB(home)    #enter Action Playing Mode for moving servos

    print "press ENTER to move servo on pin S1 and S2"
    raw_input()
    frame = [900, 1800]    #move the servo on pin S1 to position 900us and S2 to position 1800us
    rcservo_MoveTo(frame, 2000)    #move servos to the target positions in 2000ms

    print "press ENTER to move only the servo on pin S1"
    raw_input()
    rcservo_MoveOne(RCSERVO_PINS1, 1800, 500)    #move the servo to position 1800us in 300ms

    print "press ENTER to move servo on pin S1 and S2"
    raw_input()
    frame = [900, 900]    #move the servo on pin S1 ans S2 to position 900us
    rcservo_MoveTo(frame, 3000)    #move servos to the target positions in 3000ms
    print "Complete."

    rcservo_Close()    #close RC Servo lib